<?php
namespace Planejamento\Repositories;

class Paramplaneja extends \Doctrine\ORM\EntityRepository
{


    public function retornaNomeSiglaParamPlaneja($filial){
        $sql = "SELECT
                    NUT1.NMREDUZIDO AS NMREDUZIDO1,
                    NUT1.SGUNIDADE  AS SGUNIDADE1,
                    NUT2.NMREDUZIDO AS NMREDUZIDO2,
                    NUT2.SGUNIDADE  AS SGUNIDADE2,
                    NUT3.NMREDUZIDO AS NMREDUZIDO3,
                    NUT3.SGUNIDADE  AS SGUNIDADE3,
                    NUT4.NMREDUZIDO AS NMREDUZIDO4,
                    NUT4.SGUNIDADE  AS SGUNIDADE4
                 FROM
                    PARAMPLANEJA,
                    NUTRIENTE NUT1,
                    NUTRIENTE NUT2,
                    NUTRIENTE NUT3,
                    NUTRIENTE NUT4
                WHERE
                    NUT1.CDNUTRIENTE(+) = PARAMPLANEJA.CDNUTRRELAT1 AND
                    NUT2.CDNUTRIENTE(+) = PARAMPLANEJA.CDNUTRRELAT2 AND
                    NUT3.CDNUTRIENTE(+) = PARAMPLANEJA.CDNUTRRELAT3 AND
                    NUT4.CDNUTRIENTE(+) = PARAMPLANEJA.CDNUTRRELAT4 AND
                    PARAMPLANEJA.CDFILIAL = :P_CDFILIAL";
        $param = array('P_CDFILIAL' => $filial);

        $result = $this->getEntityManager()->getConnection()->fetchAll($sql, $param);
        return $result;
    }

    public static function retornaMensagemCardapioDia($cdfilial, $nrorg){
        $sql = <<<SQL
SELECT TXMENSCARDIA FROM PARAMPLANEJA WHERE CDFILIAL =:CDFILIAL AND NRORG=:NRORG
SQL;
        $params = array(
            'CDFILIAL'=>$cdfilial,
            'NRORG'=>$nrorg);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function retornaMensagemCardapioSem($cdfilial, $nrorg){
        $sql = <<<SQL
SELECT TXMENSCARSEM FROM PARAMPLANEJA WHERE CDFILIAL =:CDFILIAL AND NRORG=:NRORG
SQL;
        $params = array(
            'CDFILIAL'=>$cdfilial,
            'NRORG'=>$nrorg);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function retornaMensagemCardapioMes($cdfilial, $nrorg){
        $sql = <<<SQL
SELECT TXMENSCARMES FROM PARAMPLANEJA WHERE CDFILIAL =:CDFILIAL AND NRORG=:NRORG
SQL;
        $params = array(
            'CDFILIAL'=>$cdfilial,
            'NRORG'=>$nrorg);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function AtualizaMensagemDia($mensagem, $cdfilial){
    $sql = <<<SQL
UPDATE PARAMPLANEJA
SET
   TXMENSCARDIA   = :TXMENSCARDIA
  WHERE
   CDFILIAL = :CDFILIAL
SQL;
    $params = array(
        'CDFILIAL'=>$cdfilial,
        'TXMENSCARDIA'=>$mensagem);

    try{
        $conn = \Setforms2\Runtime\Connection::getInstance();
        $conn->execute($sql, $params);
    } catch (\Exception $e) {
        throw $e;
    }

}
    public static function AtualizaMensagemSemana($mensagem, $cdfilial, $nrorg){
        $sql = <<<SQL
UPDATE PARAMPLANEJA
SET
   TXMENSCARSEM   = :TXMENSCARSEM
  WHERE
   CDFILIAL = :CDFILIAL AND NRORG=:NRORG
SQL;
        $params = array(
            'CDFILIAL'=>$cdfilial,
            'TXMENSCARSEM'=>$mensagem,
            'NRORG'=>$nrorg);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function AtualizaMensagemMes($mensagem, $cdfilial, $nrorg){
        $sql = <<<SQL
UPDATE PARAMPLANEJA
SET
   TXMENSCARMES = :TXMENSCARMES
  WHERE
   CDFILIAL = :CDFILIAL AND NRORG=:NRORG
SQL;
        $params = array(
            'CDFILIAL'=>$cdfilial,
            'TXMENSCARMES'=>$mensagem,
            'NRORG'=>$nrorg);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

}